Subject: Re: [PATCH 3/3] gnu: Add kscreenlocker.
From: Marius Bakke <[email-masked]>
To: Hartmut Goebel <[email-masked]>, [email-masked]
Date: Wed, 13 Feb 2019 00:02:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hartmut Goebel <[email-masked]> writes:

> Am 11.02.19 um 16:18 schrieb Marius Bakke:
>> +    (native-inputs
>> +     `(("extra-cmake-modules" ,extra-cmake-modules)
>> +       ("pkg-config" ,pkg-config)
>> +
>
> Empty line.

I like adding empty lines to "group" inputs, or as a separator to make
some things "stand out".

>> +       ("logind" ,elogind)        ;optional loginctl support
>
> According to my notes (for 5.13.5) this is a run-time dependency. Why do
> we need to list it here and not later in some "service"?

CMake tests for it, and sets HAVE_UNLOCK_CAPABILITY to TRUE when found.

I did not study the code enough to see how it is used so I left it in
for now.

> Another thing: I suggest keeping al l Plasma related packages in a
> module of it's own. This will help keeping modules small, easy to spot
> and easier to maintain.

I moved the Plasma packages to a kde-plasma module with commit
bec2a2e10e199d6ee671ec5713bd103242e91b62.  Thanks for the feedback!